Calseta is under active development. APIs and features may change. We welcome feedback and contributions on GitHub.
cURL
curl --request POST \ --url https://api.example.com/v1/agents \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "endpoint_url": "<string>", "description": "<string>", "auth_header_name": "<string>", "auth_header_value": "<string>", "trigger_on_sources": [ "<string>" ], "trigger_on_severities": [ "<string>" ], "trigger_filter": {}, "timeout_seconds": 30, "retry_count": 3, "is_active": true, "documentation": "<string>" } '
{ "data": { "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "description": "<string>", "endpoint_url": "<string>", "auth_header_name": "<string>", "trigger_on_sources": [ "<string>" ], "trigger_on_severities": [ "<string>" ], "trigger_filter": {}, "timeout_seconds": 123, "retry_count": 123, "is_active": true, "documentation": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }, "meta": {} }
1 - 255
1 <= x <= 300
0 <= x <= 10
Successful Response
Show child attributes